Skip to main content
Compute Management/Host Related Interfaces/PCI Device Related APIs
GETPCI Device Related APIsSince 0.6SynchronousAuth Required

Query VM Instance and PCI Device Spec Mapping

Query VM Instance and PCI Device Spec Mapping

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. See error

    • codeStringRequired

      Error code, a globally unique identifier of the error, e.g. SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause, the source error that caused the current error, null if no original error

  • inventoriesListRequired

    See inventories

    • vmInstanceUuidStringRequired

      Virtual Machine UUID

    • pciSpecUuidStringRequired

      PCI device spec UUID

    • pciDeviceNumberIntegerRequired

      Number of PCI devices matching the device spec to attach to the VM, defaults to 1

    • createDateTimestampRequired

      Create date

    • lastOpDateTimestampRequired

      Last update date

Endpoint

GET/zstack/v1/vm-instances/{vmInstanceUuid}/pci-device-specs

/zstack/v1/vm-instances/{vmInstanceUuid}/pci-device-specs

Operation ID

QueryVmInstancePciDeviceSpecRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/pci-device-specs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "vmInstanceUuid": "bf5c475cc0954616adacebb9b2b2a9e2", "pciSpecUuid": "260464ce341043588f0cc30dde70ed42", "pciDeviceNumber": 1, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history